# Generated by Django 4.1.7 on 2023-05-16 08:04

from decimal import Decimal
from django.db import migrations, models
import djmoney.models.fields
import djmoney.models.validators


class Migration(migrations.Migration):

    dependencies = [
        ('payment_app', '0027_payoutdata'),
    ]

    operations = [
        migrations.AlterField(
            model_name='payoutdata',
            name='connected_account',
            field=models.CharField(max_length=250, null=True, verbose_name='Connected account'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='discussions',
            field=models.CharField(max_length=500, null=True, verbose_name='Discussions'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='external_account',
            field=models.CharField(max_length=250, null=True, verbose_name='External account'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='payout_id',
            field=models.CharField(max_length=250, null=True, verbose_name='Payout ID'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='status',
            field=models.CharField(max_length=100, null=True, verbose_name='Payout status'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='transferred_amount',
            field=djmoney.models.fields.MoneyField(currency_choices=[('USD', 'USD')], decimal_places=2, default=Decimal('0.00'), default_currency='USD', max_digits=14, null=True, validators=[djmoney.models.validators.MinMoneyValidator(0)], verbose_name='Transferred amount'),
        ),
        migrations.AlterField(
            model_name='payoutdata',
            name='transferred_amount_currency',
            field=djmoney.models.fields.CurrencyField(choices=[('USD', 'USD')], default='USD', editable=False, max_length=3, null=True),
        ),
    ]
